Bug 817725 - Generated informational Topic ID is incorrect
Generated informational Topic ID is incorrect
Status: CLOSED NOTABUG
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 23:21 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-01 01:16:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-04-30 23:21:57 EDT
To reproduce:
csprocessor checkout 7069
cd Messaging_Installation_and_Configuration_Guide
csprocessor preview 

gedit assembly/publican/en-US/topics/General_Broker_options.xml

Examine "Generated Topic Details" comment.

Actual Result:

	<!-- Generated Topic Details

GENERAL DETAILS

Topic ID: 22
Topic Title: General Broker options
...
-->


Expected Result:

Topic ID: 6966



cspclient-0.23.1-1.noarch
OS: Fedora release 16 (Verne)

JAVA: java version "1.7.0_b147-icedtea"
OpenJDK Runtime Environment (fedora-2.1.fc16.1-x86_64)
OpenJDK 64-Bit Server VM (build 22.0-b10, mixed mode)
Comment 1 Lee Newson 2012-05-01 01:16:46 EDT
This comes from the XML in the topic. Someone must of copied the content from another topic instead of using the generate detail button. Or in this case, is from the copy out of your local Skynet copy I did. The best fix atm is just to update it in the XML.

Either way this isn't a bug with the CSP as it just gets the XML from skynet. If this is really an issue then it should be brought up in the skynet bug queue, as the data should be checked when saving. Like it currently does with the formatting.

Note You need to log in before you can comment on or make changes to this bug.